Subject: [bug#28487] [PATCH] cuirass: Add gnu-system build spec.

From: Jan Nieuwenhuizen <[email-masked]>
Date: Thu, 28 Sep 2017 18:04:24 +0200

Ludovic Courtès writes:

>>     (match o
>>       (($ <license>) ...)
> I would make it:
>   (match o
>     ((? license?)
>      ...))

Oops, something like this was already pushed here:

     > Anyway, with this fixed, OK to push.

     Thanks, pushed with all this fixed to master as 516b53828e90018126b79e7600cae9aa531e06d7

Sure hope I didn't interpret the OK to push too lightly.  Mentioned
commit above is the second patch, the first is here

    http://git.savannah.gnu.org/cgit/guix.git/commit/?id=66bc1d2aaf74fc7eb4ef9b3519c69bd37142ffb3

>> so I was wondering why you didn't export <license>.  Now it makes sense:
>> you simply cannot use record destructors if you don't export <..> in the
>> first place.  For GOOPS that's a bit different, you don't have class?
>> for each <class>.
>
> Yes.  I think the “spirit of GOOPS” is that class objects are public.

Yeah...and then you have to be `careful'; not so nice come to think of it.

Greetings,
janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com